Subject: Re: [MMUSIC] comments on draft-fischl-mmusic-sdp-dtls

From: "Jason Fischl" <[email-masked]>
Date: Mon, 3 Dec 2007 16:22:10 -0800

I agree with all of your comments below. I'll make the changes.

On Nov 19, 2007 8:58 AM, Jonathan Rosenberg <[email-masked]> wrote:
>
>
> >  This specification defines how to use the Session Description
> >    Protocol (SDP) to signal that media will be transported over Datagram
> >    Transport Layer Security (DTLS) or where the SRTP security context is
> >    established using DTLS and.
>
> something is missing here.
>
> > Session Description Protocol (SDP) RFC 2327 [6] has been used to set
> >    up the transport of various types of media with RTP [8] over UDP [9],
> >    TCP [14], and TLS [12].
>
> actually false; RFC 4572 does NOT define RTP over TLS.
>
> > This
> >    specification defines new SDP protocol syntax that allow SDP to
> >    indicate that DTLS should be used to transport the media when TLS is
> >    used.
>
> I think you mean, "DTLS should be used as the key management protocol
> for media transported by SRTP"
>
> > only TLS over TCP.  This document extends that specification to also
> >    deal with TLS over datagram protocols such as UDP and DCCP and when
> >    (D)TLS is used to establish keys for SRTP as in [4]
>
> dont you mean DTLS? not not (D)TLS? I don't think we are specifying TLS
> with SRTP; that was the agreement at the last ietf - it would be
> DTLS-SRTP but over TCP.
>
> -Jonathan R.
> --
> Jonathan D. Rosenberg, Ph.D.                   499 Thornall St.
> Cisco Fellow                                   Edison, NJ 08837
> Cisco, Voice Technology Group
> [email-masked]
> http://www.jdrosen.net                         PHONE: (408) 902-3084
> http://www.cisco.com
>
>
> _______________________________________________
> mmusic mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/mmusic
>

_______________________________________________
mmusic mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mmusic